Bug 166587 - Configurable default resolution
Configurable default resolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpxl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 12:35 EDT by Tim Fletcher
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:31:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the patch I use to force a default monitor that can do 1024x768 (1.63 KB, text/x-patch)
2005-10-12 17:17 EDT, Tim Fletcher
no flags Details
This is the patch I use to force a default res of 1024x768 @16bit (1.39 KB, text/x-patch)
2005-10-12 17:19 EDT, Tim Fletcher
no flags Details

  None (edit)
Description Tim Fletcher 2005-08-23 12:35:53 EDT
Description of problem:

I have built a custom Netboot setup (loosely based on the Slim project) but I
would like to make use of the autoconfigation tools that are part of fedora
core. To this end I would like to be able to set the default resolution (that
kudzu and system-config-display pick if they can't get one off a monitor).
Currently I can do this by hacking the source of xhwstate.py and rebuilding the
rpm but this is less than ideal as a long term solution. I would really like to
have a file in /etc/sysconfig that would allow me to tweak defaults like this.

I know that this can "give you enough rope to shoot yourself in the foot" but
assuming there are big warnings in the config file and sensible defaults I think
that this is a useful enhancement

Version-Release number of selected component (if applicable): rhpl-0.167-1


How reproducible: Always (assuming a monitor that doesn't DCC correctly)


Steps to Reproduce:
1. Run kudzu / system-config-display with a none dcc monitor (or in my case I
have a lot of monitors that return incorrect dcc data)
2.
3.
  
Actual results:

kudzu or system-config-display (without flags) produces a 800x600 display
Expected results:


Additional info:
Comment 1 Chris Lumens 2005-10-12 14:18:11 EDT
What sorts of hacks are you doing to xhwstate.py?  I don't think putting the
resolution into a file is going to go over very well, but perhaps we can make
rhpxl (the x portions of what were in rhpl) easier to use for you.
Comment 2 Tim Fletcher 2005-10-12 17:17:49 EDT
Created attachment 119853 [details]
This is the patch I use to force a default monitor that can do 1024x768

This is the patch I use to force a default monitor that can do 1024x768
Comment 3 Tim Fletcher 2005-10-12 17:19:21 EDT
Created attachment 119854 [details]
This is the patch I use to force a default res of 1024x768 @16bit

This is the patch I use to force a default res of 1024x768 @16bit
Comment 4 Chris Lumens 2006-08-04 12:27:25 EDT
We are now using X's autoconfiguration and detection code for all this stuff. 
Please try with FC6 test 2 and let me know if this is more suitable for what you
are trying to achieve.

Note You need to log in before you can comment on or make changes to this bug.